org.eclipse.jetty.util.log

## Class AbstractLogger

- java.lang.Object
- - org.eclipse.jetty.util.log.AbstractLogger

All Implemented Interfaces:
  Logger

Direct Known Subclasses:
  JavaUtilLog, LoggerLog, Slf4jLog, StdErrLog

    public abstract class AbstractLogger
    extends Object
    implements Logger

Abstract Logger. Manages the atomic registration of the logger by name.

### Constructor Summary

Constructors
Constructor and Description
`AbstractLogger()`

### Method Summary

Methods
`Logger` `getLogger(String name)`
`protected abstract Logger` `newLogger(String fullname)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jetty.util.log.Logger

`debug, debug, debug, getName, ignore, info, info, info, isDebugEnabled, setDebugEnabled, warn, warn, warn`

### Constructor Detail

#### AbstractLogger

    public AbstractLogger()

### Method Detail

#### getLogger

    public final Logger getLogger(String name)

Specified by:
  `getLogger` in interface `Logger`
Parameters:
  `name` - the name of the logger
Returns:
  a logger with the given name

#### newLogger

    protected abstract Logger newLogger(String fullname)